CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2011-4170

Cross-site scripting (XSS) vulnerability in the theme_adium_append_message function in empathy-theme-adium.c in the Adium theme in libempathy-gtk in Empathy 3.2.1 and earlier allows remote attackers to inject arbitrary web script or HTML via a crafted alias (aka nickname) in a /me event, a different vulnerability than CVE-2011-3635.
Publish Date : 2011-10-23 Last Update Date : 2012-05-13
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Products Affected By CVE-2011-4170

# Product Type Vendor Product Version Update Edition Language
1 Application Gnome Empathy 0.1 Version Details Vulnerabilities
2 Application Gnome Empathy 0.2 Version Details Vulnerabilities
3 Application Gnome Empathy 0.3 Version Details Vulnerabilities
4 Application Gnome Empathy 0.4 Version Details Vulnerabilities
5 Application Gnome Empathy 0.5 Version Details Vulnerabilities
6 Application Gnome Empathy 0.6 Version Details Vulnerabilities
7 Application Gnome Empathy 0.7 Version Details Vulnerabilities
8 Application Gnome Empathy 0.8 Version Details Vulnerabilities
9 Application Gnome Empathy 0.9 Version Details Vulnerabilities
10 Application Gnome Empathy 0.11 Version Details Vulnerabilities
11 Application Gnome Empathy 0.12 Version Details Vulnerabilities
12 Application Gnome Empathy 0.13 Version Details Vulnerabilities
13 Application Gnome Empathy 0.14 Version Details Vulnerabilities
14 Application Gnome Empathy 0.21.1 Version Details Vulnerabilities
15 Application Gnome Empathy 0.21.2 Version Details Vulnerabilities
16 Application Gnome Empathy 0.21.3 Version Details Vulnerabilities
17 Application Gnome Empathy 0.21.4 Version Details Vulnerabilities
18 Application Gnome Empathy 0.21.5 Version Details Vulnerabilities
19 Application Gnome Empathy 0.21.5.1 Version Details Vulnerabilities
20 Application Gnome Empathy 0.21.5.2 Version Details Vulnerabilities
21 Application Gnome Empathy 0.21.90 Version Details Vulnerabilities
22 Application Gnome Empathy 0.21.91 Version Details Vulnerabilities
23 Application Gnome Empathy 0.22.0 Version Details Vulnerabilities
24 Application Gnome Empathy 0.22.1 Version Details Vulnerabilities
25 Application Gnome Empathy 0.23.1 Version Details Vulnerabilities
26 Application Gnome Empathy 0.23.2 Version Details Vulnerabilities
27 Application Gnome Empathy 0.23.3 Version Details Vulnerabilities
28 Application Gnome Empathy 0.23.4 Version Details Vulnerabilities
29 Application Gnome Empathy 2.23.6 Version Details Vulnerabilities
30 Application Gnome Empathy 2.23.90 Version Details Vulnerabilities
31 Application Gnome Empathy 2.23.91 Version Details Vulnerabilities
32 Application Gnome Empathy 2.23.92 Version Details Vulnerabilities
33 Application Gnome Empathy 2.24.0 Version Details Vulnerabilities
34 Application Gnome Empathy 2.24.1 Version Details Vulnerabilities
35 Application Gnome Empathy 2.25.2 Version Details Vulnerabilities
36 Application Gnome Empathy 2.25.3 Version Details Vulnerabilities
37 Application Gnome Empathy 2.25.4 Version Details Vulnerabilities
38 Application Gnome Empathy 2.25.90 Version Details Vulnerabilities
39 Application Gnome Empathy 2.25.91 Version Details Vulnerabilities
40 Application Gnome Empathy 2.25.92 Version Details Vulnerabilities
41 Application Gnome Empathy 2.26.0 Version Details Vulnerabilities
42 Application Gnome Empathy 2.26.0.1 Version Details Vulnerabilities
43 Application Gnome Empathy 2.26.1 Version Details Vulnerabilities
44 Application Gnome Empathy 2.26.2 Version Details Vulnerabilities
45 Application Gnome Empathy 2.27.1 Version Details Vulnerabilities
46 Application Gnome Empathy 2.27.1.1 Version Details Vulnerabilities
47 Application Gnome Empathy 2.27.2 Version Details Vulnerabilities
48 Application Gnome Empathy 2.27.3 Version Details Vulnerabilities
49 Application Gnome Empathy 2.27.4 Version Details Vulnerabilities
50 Application Gnome Empathy 2.27.5 Version Details Vulnerabilities
51 Application Gnome Empathy 2.27.91 Version Details Vulnerabilities
52 Application Gnome Empathy 2.27.91.1 Version Details Vulnerabilities
53 Application Gnome Empathy 2.27.92 Version Details Vulnerabilities
54 Application Gnome Empathy 2.28.0 Version Details Vulnerabilities
55 Application Gnome Empathy 2.28.0.1 Version Details Vulnerabilities
56 Application Gnome Empathy 2.28.1 Version Details Vulnerabilities
57 Application Gnome Empathy 2.28.1.1 Version Details Vulnerabilities
58 Application Gnome Empathy 2.28.1.2 Version Details Vulnerabilities
59 Application Gnome Empathy 2.28.2 Version Details Vulnerabilities
60 Application Gnome Empathy 2.29.1 Version Details Vulnerabilities
61 Application Gnome Empathy 2.29.2 Version Details Vulnerabilities
62 Application Gnome Empathy 2.29.3 Version Details Vulnerabilities
63 Application Gnome Empathy 2.29.4 Version Details Vulnerabilities
64 Application Gnome Empathy 2.29.5 Version Details Vulnerabilities
65 Application Gnome Empathy 2.29.5.1 Version Details Vulnerabilities
66 Application Gnome Empathy 2.29.6 Version Details Vulnerabilities
67 Application Gnome Empathy 2.29.90 Version Details Vulnerabilities
68 Application Gnome Empathy 2.29.91 Version Details Vulnerabilities
69 Application Gnome Empathy 2.29.91.1 Version Details Vulnerabilities
70 Application Gnome Empathy 2.29.91.2 Version Details Vulnerabilities
71 Application Gnome Empathy 2.29.92 Version Details Vulnerabilities
72 Application Gnome Empathy 2.29.93 Version Details Vulnerabilities
73 Application Gnome Empathy 2.30.0 Version Details Vulnerabilities
74 Application Gnome Empathy 2.30.0.1 Version Details Vulnerabilities
75 Application Gnome Empathy 2.30.0.2 Version Details Vulnerabilities
76 Application Gnome Empathy 2.30.1 Version Details Vulnerabilities
77 Application Gnome Empathy 2.30.1.1 Version Details Vulnerabilities
78 Application Gnome Empathy 2.30.2 Version Details Vulnerabilities
79 Application Gnome Empathy 2.30.3 Version Details Vulnerabilities
80 Application Gnome Empathy 2.31.1 Version Details Vulnerabilities
81 Application Gnome Empathy 2.31.2 Version Details Vulnerabilities
82 Application Gnome Empathy 2.31.3 Version Details Vulnerabilities
83 Application Gnome Empathy 2.31.4 Version Details Vulnerabilities
84 Application Gnome Empathy 2.31.5 Version Details Vulnerabilities
85 Application Gnome Empathy 2.31.5.1 Version Details Vulnerabilities
86 Application Gnome Empathy 2.31.6 Version Details Vulnerabilities
87 Application Gnome Empathy 2.31.90 Version Details Vulnerabilities
88 Application Gnome Empathy 2.31.91 Version Details Vulnerabilities
89 Application Gnome Empathy 2.31.92 Version Details Vulnerabilities
90 Application Gnome Empathy 2.32.0 Version Details Vulnerabilities
91 Application Gnome Empathy 2.32.0.1 Version Details Vulnerabilities
92 Application Gnome Empathy 2.32.1 Version Details Vulnerabilities
93 Application Gnome Empathy 2.32.2 Version Details Vulnerabilities
94 Application Gnome Empathy 2.33.1 Version Details Vulnerabilities
95 Application Gnome Empathy 2.33.2 Version Details Vulnerabilities
96 Application Gnome Empathy 2.33.3 Version Details Vulnerabilities
97 Application Gnome Empathy 2.33.4 Version Details Vulnerabilities
98 Application Gnome Empathy 2.34.0 Version Details Vulnerabilities
99 Application Gnome Empathy 2.91.0 Version Details Vulnerabilities
100 Application Gnome Empathy 2.91.1 Version Details Vulnerabilities
101 Application Gnome Empathy 2.91.2 Version Details Vulnerabilities
102 Application Gnome Empathy 2.91.3 Version Details Vulnerabilities
103 Application Gnome Empathy 2.91.3.1 Version Details Vulnerabilities
104 Application Gnome Empathy 2.91.4 Version Details Vulnerabilities
105 Application Gnome Empathy 2.91.4.1 Version Details Vulnerabilities
106 Application Gnome Empathy 2.91.4.2 Version Details Vulnerabilities
107 Application Gnome Empathy 2.91.4.3 Version Details Vulnerabilities
108 Application Gnome Empathy 2.91.5 Version Details Vulnerabilities
109 Application Gnome Empathy 2.91.5.1 Version Details Vulnerabilities
110 Application Gnome Empathy 2.91.6 Version Details Vulnerabilities
111 Application Gnome Empathy 2.91.6.1 Version Details Vulnerabilities
112 Application Gnome Empathy 2.91.90 Version Details Vulnerabilities
113 Application Gnome Empathy 2.91.90.1 Version Details Vulnerabilities
114 Application Gnome Empathy 2.91.90.2 Version Details Vulnerabilities
115 Application Gnome Empathy 2.91.91 Version Details Vulnerabilities
116 Application Gnome Empathy 2.91.91.1 Version Details Vulnerabilities
117 Application Gnome Empathy 2.91.92 Version Details Vulnerabilities
118 Application Gnome Empathy 2.91.93 Version Details Vulnerabilities
119 Application Gnome Empathy 3.0.0 Version Details Vulnerabilities
120 Application Gnome Empathy 3.0.1 Version Details Vulnerabilities
121 Application Gnome Empathy 3.0.2 Version Details Vulnerabilities
122 Application Gnome Empathy 3.1.1 Version Details Vulnerabilities
123 Application Gnome Empathy 3.1.2 Version Details Vulnerabilities
124 Application Gnome Empathy 3.1.2.1 Version Details Vulnerabilities
125 Application Gnome Empathy 3.1.3 Version Details Vulnerabilities
126 Application Gnome Empathy 3.1.4 Version Details Vulnerabilities
127 Application Gnome Empathy 3.1.5 Version Details Vulnerabilities
128 Application Gnome Empathy 3.1.5.1 Version Details Vulnerabilities
129 Application Gnome Empathy 3.1.90 Version Details Vulnerabilities
130 Application Gnome Empathy 3.1.90.1 Version Details Vulnerabilities
131 Application Gnome Empathy 3.1.91 Version Details Vulnerabilities
132 Application Gnome Empathy 3.1.92 Version Details Vulnerabilities
133 Application Gnome Empathy 3.2.0.1 Version Details Vulnerabilities
134 Application Gnome Empathy 3.2.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Gnome Empathy 134

- References For CVE-2011-4170

https://bugzilla.gnome.org/show_bug.cgi?id=662035

- Metasploit Modules Related To CVE-2011-4170

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.